Gecode::Search::TraceRecorder Class Reference

Simple recorder for a search tracer. More...

`#include <trace-recorder.hpp>`

## Classes

class | ID
| Class for storing identifiers. More...

## Public Member Functions

| TraceRecorder (SearchTracer *t)
| Initialize.
void | engine (SearchTracer::EngineType t, unsigned int n)
| Register engine.
void | worker (void)
| Register worker.
unsigned int | nid (void)
| Generate new node id.
unsigned int | wid (void) const
| Return worker id.
void | round (void)
| The workers goes to a next round (restart or next iteration in LDS).
void | skip (const SearchTracer::EdgeInfo &ei)
| The engine skips an edge.
void | node (const SearchTracer::EdgeInfo &ei, const SearchTracer::NodeInfo &ni)
| The engine creates a new node with information ei and ni.
void | done (void)
| The worker is done.
| operator bool (void) const
| Whether this is a real tracer.

## Protected Attributes

SearchTracer & | tracer
| The actual tracer.
unsigned int | _eid
| The engine id.
unsigned int | _wid
| The worker id.
unsigned int | _nid
| The next free node id.

## Detailed Description

Simple recorder for a search tracer.

Definition at line 45 of file trace-recorder.hpp.

## Constructor & Destructor Documentation

## TraceRecorder()

Gecode::Search::TraceRecorder::TraceRecorder | ( | SearchTracer * | t | ) |

inline

Initialize.

Definition at line 174 of file trace-recorder.hpp.

## Member Function Documentation

## engine()

void Gecode::Search::TraceRecorder::engine | ( | SearchTracer::EngineType | t,
|  | unsigned int | n )

inline

Register engine.

Definition at line 178 of file trace-recorder.hpp.

## worker()

void Gecode::Search::TraceRecorder::worker | ( | void |  | ) |

inline

Register worker.

Definition at line 183 of file trace-recorder.hpp.

## nid()

unsigned int Gecode::Search::TraceRecorder::nid | ( | void |  | ) |

inline

Generate new node id.

Definition at line 188 of file trace-recorder.hpp.

## wid()

unsigned int Gecode::Search::TraceRecorder::wid | ( | void |  | ) | const

inline

Return worker id.

Definition at line 193 of file trace-recorder.hpp.

## round()

void Gecode::Search::TraceRecorder::round | ( | void |  | ) |

inline

The workers goes to a next round (restart or next iteration in LDS).

Definition at line 198 of file trace-recorder.hpp.

## skip()

void Gecode::Search::TraceRecorder::skip | ( | const SearchTracer::EdgeInfo & | ei | ) |

inline

The engine skips an edge.

Definition at line 203 of file trace-recorder.hpp.

## node()

void Gecode::Search::TraceRecorder::node | ( | const SearchTracer::EdgeInfo & | ei,
|  | const SearchTracer::NodeInfo & | ni )

inline

The engine creates a new node with information ei and ni.

Definition at line 208 of file trace-recorder.hpp.

## done()

void Gecode::Search::TraceRecorder::done | ( | void |  | ) |

inline

The worker is done.

Definition at line 214 of file trace-recorder.hpp.

## operator bool()

Gecode::Search::TraceRecorder::operator bool | ( | void |  | ) | const

inline

Whether this is a real tracer.

Definition at line 219 of file trace-recorder.hpp.

## Member Data Documentation

## tracer

SearchTracer& Gecode::Search::TraceRecorder::tracer

protected

The actual tracer.

Definition at line 48 of file trace-recorder.hpp.

## _eid

unsigned int Gecode::Search::TraceRecorder::_eid

protected

The engine id.

Definition at line 50 of file trace-recorder.hpp.

## _wid

unsigned int Gecode::Search::TraceRecorder::_wid

protected

The worker id.

Definition at line 52 of file trace-recorder.hpp.

## _nid

unsigned int Gecode::Search::TraceRecorder::_nid

protected

The next free node id.

Definition at line 54 of file trace-recorder.hpp.

The documentation for this class was generated from the following file:

- gecode/search/trace-recorder.hpp